package sqlite

type CommandType int

const (
	UCTInsert CommandType = iota + 1
	UCTUpdate
	UCTDelete
)

type Command struct {
	CmdType         CommandType
	Data            map[string]any
	Conds           map[string]any
	OverwriteExists bool
}
