package schema

type Field struct {
	Name     string            //字段名
	Type     string            //字段类型
	Defval   any               // 默认值
	Partkeyi int               // 0 普通字段，n 在分区键中的位置
	Idkeyi   int               // 0 普通字段，n 在主键中的位置
	Extra    map[string]string // 附加信息，包括显示名，别名等
	Tags     []string          // 标记信息
}

type Fields []*Field
